[FREE] ScanView -ZxingView Version 2- Extension

I don’t know why you aren’t replying to me.

Anyways, Is it necessary to use that block and what does that does. Can you explain.
I think the previous version was good and easy to use :slightly_smiling_face:

1 Like

Ok let me try. I will update you here with the result

1 Like

sorry @themaayur I missed your reply, regarding your posted apk in your last reply, I’ve tested it and it works without any issues, but you may want to try enlarging the scan area a little bit, using a scan area that small is not recommended I suppose :grin:

The first version needs android api 21 or above to work probably and there were alot of issues reported from more than android version and device, I fixed alot of issues but at last I opted to change the whole code, I’ve tested this version thoroughly and no issues where reported till now.

and for the SetAspectTolerance blocks is not necessary, it is only there for some old HUAWEI devices.

Beside the new UI controlling blocks, there will be a block for controlling the scan view aspect ratio.

it will be posted tomorrow, stay tuned!

1 Like

Hello, @Silver When I live test your attached aia, it crashes the companion but the built(apk) works like a charm :smiley:

1 Like

This extension is not working in Companion :face_with_head_bandage:

1 Like

It does not work on my phone, the camera itself does not turn on, you need to add another block permission to use the camera

blocks

In case you are using @themaayur’s, did you read this :point_down:

Also try the aia given in the original post

2 Likes

Okay, got it :cowboy_hat_face:
Waiting for next update, thx :blush:

1 Like

use these blocks only after the permission has been granted


Taifun

5 Likes

This error is fixed in ScanView v2.1 update, and you can also use Kodular Barcode Scanner in the same project with ScanView extension.

Note : The latest version of Extension (2.1) breaks the previous blocks, so you need to completely remove the extension and add it again.

2 Likes

Version 2.1 works fine, but there is one problem, when I add another extension to create a QR code, I get an error (((Can anyone know what this is related to? (I tried several extensions to create a QR code and get constantly errors)

1 Like

Hi @SlavaSeven
In a future update I will add a block for creating QR code barcodes, Stay tuned, and regarding the error can you tell me which extension are you using for creating QR code?

I forgot to follow naming convention in 2.0 version so I had to rename all blocks, sorry about that.

2 Likes

It would be great :slightly_smiling_face:

2 Likes

Good afternoon, we will wait for updates from you so that you can create a QR code, and so I tried two these are different extensions:



and I got an error. thanks
1 Like

@SlavaSeven you can use This extension, there is a link for a version without the zxing library, it should work with ScanView without issues.

1 Like

I removed all extension blocks and added new ones one-by-one

1 Like

And when you are about to plan an update with the ability to create a QR code, maybe I can wait a little) thanks

Strange, but I also have an error with this extension (((

1 Like